#ifndef __DATABASE_H__
#define __DATABASE_H__

#include "DataStructure.h"

struct sqlite3;


class Database{
public:
    bool open(const std::string &path);
    bool addPalmFeature(const PalmFeature &palm);
    PalmFeatures palmFeatures() const;

private:
    void initializeTables();
    sqlite3 *m_sqlite = nullptr;
};
#endif // __DATABASE_H__
